io.vertx.servicediscovery.spi

## Interface ServiceImporter

- All Known Implementing Classes:
    ConsulServiceImporter, DockerLinksServiceImporter, KubernetesServiceImporter

      public interface ServiceImporter

  The service importer allows integrate other discovery technologies with the Vert.x service discovery. It maps entries from another technology to a `Record` and maps `Record` to a publication in this other technology. The importer is one side of a service discovery bridge.
  Author:
    Clement Escoffier

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `close(Handler<Void> closeHandler)` Close the importer
    `void` | `start(Vertx vertx, ServicePublisher publisher, JsonObject configuration, Future<Void> future)` Starts the importer.
    `default void` | `stop(Vertx vertx, ServicePublisher publisher, Future<Void> future)` Deprecated. use `close(Handler)` instead. This method will be removed in 3.4.0.

- - ### Method Detail

    - #### start

          void start(Vertx vertx,
                     ServicePublisher publisher,
                     JsonObject configuration,
                     Future<Void> future)

      Starts the importer.
      Parameters:
        `vertx` - the vertx instance
        `publisher` - the service discovery instance
        `configuration` - the bridge configuration if any
        `future` - a future on which the bridge must report the completion of the starting

    - #### stop

          @Deprecated
          default void stop(Vertx vertx,
                                        ServicePublisher publisher,
                                        Future<Void> future)

      Deprecated. use `close(Handler)` instead. This method will be removed in 3.4.0.
      Stops the importer.
      Parameters:
        `vertx` - the vertx instance
        `publisher` - the service discovery instance
        `future` - the future on which the bridge must report the completion of the stopping process

    - #### close

          default void close(Handler<Void> closeHandler)

      Close the importer
      Parameters:
        `closeHandler` - the handle to be notified when importer is closed, may be `null`

Copyright © 2016. All rights reserved.